<?php

/**
 * Default Options
 */
require trailingslashit( get_template_directory() ) . 'inc/default-options.php';

/**
 * Include base
 */
require trailingslashit( get_template_directory() ) . 'inc/base.php';

/**
 * Include Helper functions
 */
require trailingslashit( get_template_directory() ) . 'inc/helper/customize.php';
require trailingslashit( get_template_directory() ) . 'inc/helper/customize-callback.php';
require trailingslashit( get_template_directory() ) . 'inc/helper/customize-sanitize.php';
require trailingslashit( get_template_directory() ) . 'inc/helper/common.php';

/**
 * Include Metabox
 */
require trailingslashit( get_template_directory() ) . 'inc/metabox.php';

/**
 * Include Widgets
 */
require trailingslashit( get_template_directory() ) . 'inc/widgets.php';

/**
 * Include Customizer options
 */
require trailingslashit( get_template_directory() ) . 'inc/customizer/core.php';
require trailingslashit( get_template_directory() ) . 'inc/customizer/setting.php';
require trailingslashit( get_template_directory() ) . 'inc/customizer/slider.php';
require trailingslashit( get_template_directory() ) . 'inc/customizer/reset.php';
require trailingslashit( get_template_directory() ) . 'inc/customizer/color.php';
require trailingslashit( get_template_directory() ) . 'inc/customizer/custom-header.php';

/**
 * Include Hooks
 */
require trailingslashit( get_template_directory() ) . 'inc/hook/core.php';
require trailingslashit( get_template_directory() ) . 'inc/hook/structure.php';
require trailingslashit( get_template_directory() ) . 'inc/hook/header.php';
require trailingslashit( get_template_directory() ) . 'inc/hook/footer.php';
require trailingslashit( get_template_directory() ) . 'inc/hook/slider.php';
require trailingslashit( get_template_directory() ) . 'inc/hook/custom.php';
require trailingslashit( get_template_directory() ) . 'inc/hook/custom-header.php';
require trailingslashit( get_template_directory() ) . 'inc/hook/css.php';


function wen_business_options_setup() {

  global $wen_business_customizer_object;

  $defaults = wen_business_get_default_theme_options();

  $custom_settings = array();
  $custom_settings = apply_filters( 'wen_business_theme_options_args', $custom_settings );

  $wen_business_customizer_object = new WEN_Customizer( $custom_settings, $defaults );

}
add_action( 'after_setup_theme', 'wen_business_options_setup', 20 );

